<?php

namespace App\Http\Middleware;

use Illuminate\Foundation\Http\Middleware\VerifyCsrfToken as BaseVerifier;

class VerifyCsrfToken extends BaseVerifier
{
    /**
     * The URIs that should be excluded from CSRF verification.
     *
     * @var array
     */
    protected $except = [
        '*archive',
        '*unarchive',
        '*clear',
        '*saveImg',
        '*store',
        '*saveimg*',
        '*savedata*',
        '*setdoc/*',
        '*reqreceipt/*',
        '*redeemreceipt/*/*',
        '*getreceipt/*/*',
        '*export',
        '*game/*',
        '*redeem/*',
        '*redeemDone',
        '*redeemFail',
        '*tinfo/*',
    ];
}
